summaryrefslogtreecommitdiff
path: root/src/mint/test_taler_mint_httpd_afl.sh
diff options
context:
space:
mode:
authorChristian Grothoff <christian@grothoff.org>2015-09-21 14:36:18 +0200
committerChristian Grothoff <christian@grothoff.org>2015-09-21 14:36:18 +0200
commit93a84d5e5aee9df869ac9e78a88c294d6311a9ef (patch)
tree060813cef751493abfa6c6417ed15031aec4842b /src/mint/test_taler_mint_httpd_afl.sh
parent70c28e53d0615bc6694ea2339a739d387f8d8691 (diff)
downloadexchange-93a84d5e5aee9df869ac9e78a88c294d6311a9ef.tar.gz
exchange-93a84d5e5aee9df869ac9e78a88c294d6311a9ef.tar.bz2
exchange-93a84d5e5aee9df869ac9e78a88c294d6311a9ef.zip
retry transactions on serialization/dead-lock failures (#3990)
Diffstat (limited to 'src/mint/test_taler_mint_httpd_afl.sh')
-rwxr-xr-xsrc/mint/test_taler_mint_httpd_afl.sh33
1 files changed, 33 insertions, 0 deletions
diff --git a/src/mint/test_taler_mint_httpd_afl.sh b/src/mint/test_taler_mint_httpd_afl.sh
new file mode 100755
index 000000000..62ad43610
--- /dev/null
+++ b/src/mint/test_taler_mint_httpd_afl.sh
@@ -0,0 +1,33 @@
+#!/bin/bash
+#
+# This file is part of TALER
+# Copyright (C) 2015 GNUnet e.V.
+#
+# TALER is free software; you can redistribute it and/or modify it under the
+# terms of the GNU Affero General Public License as published by the Free Software
+# Foundation; either version 3, or (at your option) any later version.
+#
+# TALER is distributed in the hope that it will be useful, but WITHOUT ANY
+# WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR
+# A PARTICULAR PURPOSE. See the GNU Affero General Public License for more details.
+#
+# You should have received a copy of the GNU Affero General Public License along with
+# TALER; see the file COPYING. If not, If not, see <http://www.gnu.org/licenses/>
+#
+#
+# This script uses 'curl' to POST various ill-formed requests to the
+# taler-mint-httpd. Basically, the goal is to make sure that the
+# HTTP server survives (and produces the 'correct' error code).
+#
+# We read the JSON snippets from afl-tests/
+#
+# Setup keys.
+taler-mint-keyup -d test-mint-home -m test-mint-home/master.priv
+# Run test...
+for n in afl-tests/*.req
+do
+ echo -n "Test $n"
+ taler-mint-httpd -d test-mint-home/ -t 1 -f $n -C > /dev/null || { echo "FAIL!"; exit 1; }
+ echo "OK"
+done
+exit 0